
QGIS Application - Bug report #13690

Actions launched from table of attributes ignoring/discarding fields

2015-10-28 03:00 AM - Lukasz Sychowicz

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21720

Description

New description:

create and action and add to it a field variable like

[% "column_name" %]

if the actions is launched from the toolbar is ok, if launched from the table of attributes the variable is ignored/not used.

Old description:

Actions contain SQL expression run from the table view does'nt work correctly - (expression are ignored)

the same actions run from map view work fine.

History

#1 - 2015-11-07 01:31 AM - Giovanni Manghi

- OS version deleted (XP)

- Operating System deleted (Windows)

Could you please add here an example of the actions

#2 - 2015-11-08 10:03 AM - Lukasz Sychowicz

I created a video:

https://www.youtube.com/watch?v=ycyeLtWwtfw

#3 - 2015-11-10 02:49 AM - Giovanni Manghi

- Subject changed from qgis 2.12 - Actions contain sql expression - run from table view to Actions launched from table of attributes ignoring/discarding 

fields

- Category changed from Attribute table to Vectors

#4 - 2016-05-23 04:01 AM - Lukasz Sychowicz

- % Done changed from 0 to 100

- Status changed from Open to Closed
https://www.youtube.com/watch?v=ycyeLtWwtfw


fixed in version 2.14.3
